package com.bjlt.spider.service.serviceImpl;

import com.bjlt.spider.entity.EmailEntity;
import com.bjlt.spider.service.IemailService;
import com.bjlt.spider.util.EmailHandle;
import com.bjlt.spider.util.RespEntity;
import org.springframework.stereotype.Service;

@Service
public class EmailServiceImpl implements IemailService{
    @Override
    public RespEntity sendEmailSingle(EmailEntity emailEntity) {
        RespEntity respEntity = new RespEntity();
        String smtp =emailEntity.getSmtp();
        if (smtp==null){
            respEntity.setStatus(100);
            respEntity.setMessage("smtp服务器不能为空");
        }
        String emailContent =emailEntity.getEmailContent();
        String subject=emailEntity.getSubject();
        String from = emailEntity.getFrom();
        String name=emailEntity.getSendUserName();
        String pass =emailEntity.getSendUserPass();
        String to =emailEntity.getTo();
        Boolean needAuth = emailEntity.getNeedAuth();

        EmailHandle emailHandle = new EmailHandle(smtp);
        emailHandle.setBody(emailContent);// 邮件body
        emailHandle.setFrom(from);// 设置发件人地址为系统邮箱
        emailHandle.setSubject(subject);
        emailHandle.setNamePass(name,pass);
        emailHandle.setNeedAuth(needAuth);
        emailHandle.setTo(to);
        try {
            if (emailHandle.sendEmail()){
                respEntity.setMessage("发送成功");
                respEntity.setStatus(200);
            }else {
                respEntity.setMessage("发送失败");
                respEntity.setStatus(100);
            }

        } catch (Exception e) {
            e.printStackTrace();
            respEntity.setMessage("发送失败");
            respEntity.setStatus(100);
        }

        return respEntity;
    }

    @Override
    public RespEntity sendEmailBatch(EmailEntity emailEntity) {
        RespEntity respEntity = new RespEntity();
        String smtp =emailEntity.getSmtp();
        if (smtp==null){
            respEntity.setStatus(100);
            respEntity.setMessage("smtp服务器不能为空");
        }
        String emailContent =emailEntity.getEmailContent();
        String subject=emailEntity.getSubject();
        String from = emailEntity.getFrom();
        String name=emailEntity.getSendUserName();
        String pass =emailEntity.getSendUserPass();
        String toList=emailEntity.getToList();

        EmailHandle emailHandle = new EmailHandle(smtp);
        emailHandle.setBody(emailContent);// 邮件body
        emailHandle.setFrom(from);// 设置发件人地址为系统邮箱
        emailHandle.setSubject(subject);
        emailHandle.setNamePass(name,pass);
        emailHandle.setNeedAuth(true);
        emailHandle.setToList(toList);
        try {
            if (emailHandle.sendEmail()){
                respEntity.setMessage("发送成功");
                respEntity.setStatus(200);
            }else {
                respEntity.setMessage("发送失败");
                respEntity.setStatus(100);
            }

        } catch (Exception e) {
            e.printStackTrace();
            respEntity.setMessage("发送失败");
            respEntity.setStatus(100);
        }

        return respEntity;
    }
}
